Next Commerce
Payments

Disputes List

Retrieve a list of disputes.

GET
/disputes/

Authorization

oauth2 disputes:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: disputes:read

Query Parameters

id?string

ID

type?string
  • alert - Alert
  • chargeback - Chargeback

Value in

  • "alert"
  • "chargeback"
status?string
  • new - New
  • open - Open
  • resolved - Resolved

Value in

  • "new"
  • "open"
  • "resolved"
order_number?string

Order Number

transaction_id?string

Transaction ID

auth_code?string

Auth Code

network_transaction_id?string

Network Transaction ID

card_type?array<|>

Card Brand

  • visa - Visa
  • mastercard - Mastercard
  • american_express - American Express
  • diners_club - Diners Club
  • discover - Discover
  • jcb - JCB
  • maestro - Maestro
  • dankort - Dankort
card_first_six?string

Card First Six

card_last_four?string

Card Last Four

case_number?string

Case Number

gateway_id?integer

Gateway ID

payment_method?|

Payment Method

resolution?|
  • could_not_find_order - Transaction Not found
  • declined_or_canceled_nothing_to_do - Nothing To Do
  • issued_full_refund - Issued Full Refund
  • issued_refund_for_remaining_amount - Refunded Remaining Amount
  • 3ds_authorized_successfully - Transaction 3DS Authorized
  • previously_refunded_nothing_to_do - Previously Refunded
  • unable_to_refund_merchant_account_closed - Unable to Refund
  • won - Won
  • lost - Lost
  • accepted - Accepted
  • other - Other

Value in

  • "3ds_authorized_successfully"
  • "accepted"
  • "could_not_find_order"
  • "declined_or_canceled_nothing_to_do"
  • "issued_full_refund"
  • "issued_refund_for_remaining_amount"
  • "lost"
  • "other"
  • "previously_refunded_nothing_to_do"
  • "unable_to_refund_merchant_account_closed"
  • "won"
dispute_date_from?string

YYYY-MM-DD

Formatdate
dispute_date_to?string

YYYY-MM-DD

Formatdate
cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"unstable"
Default"unstable"

Value in

  • "unstable"

Response Body

application/json

curl -X GET "https://example.com/disputes/" \  -H "X-29next-API-Version: unstable"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "amount": "string",      "arn": "string",      "case_number": "string",      "currency": "string",      "date_created": "2019-08-24T14:15:22Z",      "happened_at": "2019-08-24T14:15:22Z",      "id": 0,      "metadata": null,      "order": "string",      "report_amount": "string",      "report_currency": "string",      "resolution": "could_not_find_order",      "resolution_other_message": "string",      "status": "new",      "transaction": 0,      "type": "alert"    }  ]}